﻿using Android.App;
using Android.Content.PM;
using Android.OS;
using Com.Syncfusion.Charts;
using Syncfusion.SfChart.XForms.Droid;
using Android.Graphics;

namespace StackedBarDashes.Droid
{
    [Activity(Label = "StackedBarDashes", Icon = "@drawable/icon", Theme = "@style/MainTheme", MainLauncher = true, ConfigurationChanges = ConfigChanges.ScreenSize | ConfigChanges.Orientation)]
    public class MainActivity : global::Xamarin.Forms.Platform.Android.FormsAppCompatActivity
    {
        protected override void OnCreate(Bundle bundle)
        {
            TabLayoutResource = Resource.Layout.Tabbar;
            ToolbarResource = Resource.Layout.Toolbar;

            base.OnCreate(bundle);
            Xamarin.Forms.Forms.ViewInitialized += Forms_ViewInitialized;
            global::Xamarin.Forms.Forms.Init(this, bundle);
            LoadApplication(new App());
        }

        private void Forms_ViewInitialized(object sender, Xamarin.Forms.ViewInitializedEventArgs e)
        {
            SfChart nativeChart = e.NativeView as SfChart;

            var formsChart = e.View as ChartExt;

            if (nativeChart is SfChart)
            {
                for (int i = 0; i < (nativeChart as SfChart).Series.Count; i++)
                {
                    if (nativeChart.Series[i] is StackingBarSeries)
                    {
                        nativeChart.Series.RemoveAt(i);
                        NativeStackingBarSeriesExt series = new NativeStackingBarSeriesExt(formsChart, formsChart.Series[i] as StackingBarExt);
                        nativeChart.Series.Insert(i, series);

                        var properties = SfChartRenderer.GetPropertiesChanged(typeof(Syncfusion.SfChart.XForms.ChartSeries), formsChart.Series[i]);

                        foreach (var name in properties)
                        {
                            ChartSeriesMapping.OnStackingBarSeriesPropertiesChanged(name, formsChart.Series[i] as StackingBarExt, series);
                        }
                    }
                }
            }
        }
    }
}

