using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Android.App;
using Android.Content;
using Android.Graphics;
using Android.OS;
using Android.Runtime;
using Android.Views;
using Android.Widget;
using Com.Syncfusion.Charts;
using Xamarin.Forms.Platform.Android;

namespace StackedBarDashes.Droid
{
    public class StackingBarSegmentExt : BarSegment
    {
        Paint paint;
        StackingBarExt series;

        public StackingBarSegmentExt(StackingBarExt series)
        {
            paint = new Paint();
            this.series = series;
        }

        public override void OnDraw(Canvas canvas)
        {
            Color = Color.Transparent;
            base.OnDraw(canvas);    
            paint.StrokeWidth = (float)series.StrokeWidth;
            if (series.StrokeDashArray.Length > 0)
            {
                paint.SetStyle(Paint.Style.Stroke);
            	paint.SetPathEffect(new DashPathEffect(series.StrokeDashArray, 0));
            }
            else
            {
                paint.SetStyle(Paint.Style.Fill);
            }
			paint.Color = series.Color.ToAndroid();
            Color = series.Color.ToAndroid();
            canvas.DrawRect(Left,Top,Right,Bottom,paint);

		}
    }
}
   