﻿using System;
using System.Drawing;
using System.Reflection;
using CoreGraphics;
using Syncfusion.SfChart.iOS;
using UIKit;
using Xamarin.Forms.Platform.iOS;

namespace StackedBarDashes.iOS
{
    public class StackingBarSegmentExt : SFBarSegment
    {
        StackingBarExt series;

        public StackingBarSegmentExt(StackingBarExt series)
        {
            this.series = series;
        }

		public override void DrawSegment(CGContext ctx)
		{
			
			if (series.StrokeDashArray.Length > 0)
			{
				Color = UIColor.Clear;
				base.DrawSegment(ctx);
				var rect = new RectangleF(Left, Top, Right - Left, Bottom - Top);
				ctx.SaveState();
                ctx.SetStrokeColor(series.Color.ToCGColor());
				ctx.SetLineWidth((nfloat)series.StrokeWidth);
                if(series.StrokeDashArray != null)
                {
                    nfloat[] dashes = new nfloat[series.StrokeDashArray.Length];

                    for (int i = 0; i < series.StrokeDashArray.Length; i++)
                    {
                        dashes[i] = series.StrokeDashArray[i];
                    }

                    ctx.SetLineDash(0, dashes);

				}
				ctx.AddRect(rect);
				ctx.StrokePath();
				ctx.RestoreState();
			}
			else
				base.DrawSegment(ctx);
		}

    }
}
